/* Style de la bannière */
.cookie-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    background: #333;
    color: #fff;
    padding: 15px;
    text-align: center;
    box-shadow: 1px -5px 20px 4px rgb(0 0 0 / 38%);
    z-index: 1000;
    display: none; /* Caché par défaut */
    width: 100vw;
}

.cookie-banner p {
    margin: 0 0 10px;
    font-size: 14px;
}

.cookie-banner a {
    color: #4caf50;
    text-decoration: underline;
}

.cookie-options {
    text-align: left;
    margin: 10px 0;
}

.cookie-options label {
    display: block;
    margin: 5px 0;
    font-size: 14px;
    color:white;
}

.cookie-buttons {
    display: flex;
    justify-content: center;
    gap: 10px;
    flex-wrap: wrap;
}

#accept-cookies {
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
    background: #4caf50;
    color: #fff;
    box-shadow: none;
    width: 330px;
}

#reject-cookies {
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
    background: #f44336;
    color: #fff;
    box-shadow: none;
    width: 330px;
}

#save-preferences {
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
    background: #2196f3;
    color: #fff;
    box-shadow: none;
    width: 330px;
}

input[type="checkbox"].reset-style {
    appearance: auto;
    opacity: initial;
    margin-right: 7px;
}

.reset-style2 {
    appearance: auto;
}